[RESOLVED] Huge problems after update to OS2021.2.2/Supervisor2021.02.2

Tags: #<Tag:0x00007f327fc4ed58> #<Tag:0x00007f327fc4eb50>

Hello,
I am running HA on RPi4. Main goal is to use it to control heating valves and thermostat to balance rooms temperature, while providing “virtual thermostats” on each zone. Additionally control lightning.
After installing 2021.2.2 I started to see weird problems, i.e. supervisor page didn’t load up, however power cycle fixed that one. Hubitat custom component (I take info about zigbee sensors using Hubitat) completely stopped working - I don’t see any of the sensors from that platform. My lights on another custom component - Wizlight stopped working as well - entities are gone. ESPHome devices does work, seems like HomeKit also works.
I installed new OS 5.11 and I had also huge problem to boot, but it did resolve by itself after leaving it connected and few power cycles…
I got notification that hubitat component and “default_config” cannot be set up. The latter is suspicious, as hubitat is not official integration and I could understand that it lost support by update.

Does anyone has any clue what happened? I will post my logs later.

2021-02-09 13:22:28 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for hubitat which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant.
2021-02-09 13:22:40 WARNING (MainThread) [homeassistant.setup] Setup of recorder is taking over 10 seconds.
2021-02-09 13:23:29 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: recorder
2021-02-09 13:24:29 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: recorder
2021-02-09 13:25:29 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: recorder
2021-02-09 13:26:29 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: recorder
2021-02-09 13:27:29 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: recorder
2021-02-09 13:28:00 WARNING (Recorder) [homeassistant.components.recorder] Ended unfinished session (id=59 from 2021-02-09 15:23:29.367420)
2021-02-09 13:28:15 WARNING (MainThread) [homeassistant.setup] Setup of cloud is taking over 10 seconds.
2021-02-09 13:28:36 ERROR (MainThread) [hass_nabucasa.remote] Can't update remote details from Home Assistant cloud
2021-02-09 13:28:42 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 13:29:00 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: cloud
2021-02-09 13:29:16 ERROR (MainThread) [hass_nabucasa.remote] Can't update remote details from Home Assistant cloud
2021-02-09 13:29:18 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 13:29:56 ERROR (MainThread) [hass_nabucasa.remote] Can't update remote details from Home Assistant cloud
2021-02-09 13:29:59 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 13:30:00 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: cloud
2021-02-09 13:30:36 ERROR (MainThread) [hass_nabucasa.remote] Can't update remote details from Home Assistant cloud
2021-02-09 13:31:00 WARNING (MainThread) [homeassistant.bootstrap] Setup timed out for stage 1 - moving forward
2021-02-09 13:31:00 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for wiz_light which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant.
2021-02-09 13:31:01 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: cloud
2021-02-09 13:31:01 WARNING (SyncWorker_5) [homeassistant.components.dte_energy_bridge.sensor] Could not update status for DTE Energy Bridge (dte_energy_br)
2021-02-09 13:31:04 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 13:31:16 ERROR (MainThread) [hass_nabucasa.remote] Can't update remote details from Home Assistant cloud
2021-02-09 13:31:31 WARNING (SyncWorker_4) [homeassistant.components.dte_energy_bridge.sensor] Could not update status for DTE Energy Bridge (dte_energy_br)
2021-02-09 13:31:54 ERROR (MainThread) [hass_nabucasa.remote] Unexpected error in Remote UI loop
Traceback (most recent call last):
File "/usr/local/lib/python3.8/site-packages/urllib3/connection.py", line 169, in _new_conn
conn = connection.create_connection(
File "/usr/local/lib/python3.8/site-packages/urllib3/util/connection.py", line 73, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/usr/local/lib/python3.8/socket.py", line 918, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/lib/python3.8/site-packages/botocore/httpsession.py", line 254, in send
urllib_response = conn.urlopen(
File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 755, in urlopen
retries = retries.increment(
File "/usr/local/lib/python3.8/site-packages/urllib3/util/retry.py", line 506, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/local/lib/python3.8/site-packages/urllib3/packages/six.py", line 735, in reraise
raise value
File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 699, in urlopen
httplib_response = self._make_request(
File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 382, in _make_request
self._validate_conn(conn)
File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 1010, in _validate_conn
conn.connect()
File "/usr/local/lib/python3.8/site-packages/urllib3/connection.py", line 353, in connect
conn = self._new_conn()
File "/usr/local/lib/python3.8/site-packages/urllib3/connection.py", line 181, in _new_conn
raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <botocore.awsrequest.AWSHTTPSConnection object at 0xb0658148>: Failed to establish a new connection: [Errno -3] Try again
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/lib/python3.8/site-packages/hass_nabucasa/auth.py", line 199, in _async_renew_access_token
await self.cloud.run_executor(cognito.renew_access_token)
File "/usr/local/lib/python3.8/concurrent/futures/thread.py", line 57, in run
result = self.fn(*self.args, **self.kwargs)
File "/usr/local/lib/python3.8/site-packages/pycognito/__init__.py", line 620, in renew_access_token
refresh_response = self.client.initiate_auth(
File "/usr/local/lib/python3.8/site-packages/botocore/client.py", line 357, in _api_call
return self._make_api_call(operation_name, kwargs)
File "/usr/local/lib/python3.8/site-packages/botocore/client.py", line 647, in _make_api_call
http, parsed_response = self._make_request(
File "/usr/local/lib/python3.8/site-packages/botocore/client.py", line 667, in _make_request
return self._endpoint.make_request(operation_model, request_dict)
File "/usr/local/lib/python3.8/site-packages/botocore/endpoint.py", line 102, in make_request
return self._send_request(request_dict, operation_model)
File "/usr/local/lib/python3.8/site-packages/botocore/endpoint.py", line 136, in _send_request
while self._needs_retry(attempts, operation_model, request_dict,
File "/usr/local/lib/python3.8/site-packages/botocore/endpoint.py", line 228, in _needs_retry
responses = self._event_emitter.emit(
File "/usr/local/lib/python3.8/site-packages/botocore/hooks.py", line 356, in emit
return self._emitter.emit(aliased_event_name, **kwargs)
File "/usr/local/lib/python3.8/site-packages/botocore/hooks.py", line 228, in emit
return self._emit(event_name, kwargs)
File "/usr/local/lib/python3.8/site-packages/botocore/hooks.py", line 211, in _emit
response = handler(**kwargs)
File "/usr/local/lib/python3.8/site-packages/botocore/retryhandler.py", line 183, in __call__
if self._checker(attempts, response, caught_exception):
File "/usr/local/lib/python3.8/site-packages/botocore/retryhandler.py", line 250, in __call__
should_retry = self._should_retry(attempt_number, response,
File "/usr/local/lib/python3.8/site-packages/botocore/retryhandler.py", line 277, in _should_retry
return self._checker(attempt_number, response, caught_exception)
File "/usr/local/lib/python3.8/site-packages/botocore/retryhandler.py", line 316, in __call__
checker_response = checker(attempt_number, response,
File "/usr/local/lib/python3.8/site-packages/botocore/retryhandler.py", line 222, in __call__
return self._check_caught_exception(
File "/usr/local/lib/python3.8/site-packages/botocore/retryhandler.py", line 359, in _check_caught_exception
raise caught_exception
File "/usr/local/lib/python3.8/site-packages/botocore/endpoint.py", line 200, in _do_get_response
http_response = self._send(request)
File "/usr/local/lib/python3.8/site-packages/botocore/endpoint.py", line 244, in _send
return self.http_session.send(request)
File "/usr/local/lib/python3.8/site-packages/botocore/httpsession.py", line 283, in send
raise EndpointConnectionError(endpoint_url=request.url, error=e)
botocore.exceptions.EndpointConnectionError: Could not connect to the endpoint URL: "https://cognito-idp.us-east-1.amazonaws.com/"
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/usr/local/lib/python3.8/site-packages/hass_nabucasa/remote.py", line 374, in _certificate_handler
if not await self.load_backend():
File "/usr/local/lib/python3.8/site-packages/hass_nabucasa/remote.py", line 137, in load_backend
resp = await cloud_api.async_remote_register(self.cloud)
File "/usr/local/lib/python3.8/site-packages/hass_nabucasa/cloud_api.py", line 16, in check_token
await cloud.auth.async_check_token()
File "/usr/local/lib/python3.8/site-packages/hass_nabucasa/auth.py", line 172, in async_check_token
await self._async_renew_access_token()
File "/usr/local/lib/python3.8/site-packages/hass_nabucasa/auth.py", line 208, in _async_renew_access_token
raise UnknownError() from err
hass_nabucasa.auth.UnknownError
2021-02-09 13:32:01 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: cloud
2021-02-09 13:32:01 WARNING (SyncWorker_2) [homeassistant.components.dte_energy_bridge.sensor] Could not update status for DTE Energy Bridge (dte_energy_br)
2021-02-09 13:32:29 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 13:32:31 WARNING (SyncWorker_1) [homeassistant.components.dte_energy_bridge.sensor] Could not update status for DTE Energy Bridge (dte_energy_br)
2021-02-09 13:32:34 ERROR (SyncWorker_3) [homeassistant.util.package] Unable to install package pywizlight==0.3.2: WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4b9df58>: Failed to establish a new connection: [Errno -3] Try again')': /simple/pywizlight/
WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4b9d028>: Failed to establish a new connection: [Errno -3] Try again')': /simple/pywizlight/
WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4b9dbe0>: Failed to establish a new connection: [Errno -3] Try again')': /simple/pywizlight/
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4b9d3d0>: Failed to establish a new connection: [Errno -3] Try again')': /simple/pywizlight/
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4b9dfd0>: Failed to establish a new connection: [Errno -3] Try again')': /simple/pywizlight/
WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4b9d4f0>: Failed to establish a new connection: [Errno -3] Try again')': /alpine-3.12/armv7/
WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4b9d148>: Failed to establish a new connection: [Errno -3] Try again')': /alpine-3.12/armv7/
WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4b9ddc0>: Failed to establish a new connection: [Errno -3] Try again')': /alpine-3.12/armv7/
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4b9dbf8>: Failed to establish a new connection: [Errno -3] Try again')': /alpine-3.12/armv7/
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4b9ddd8>: Failed to establish a new connection: [Errno -3] Try again')': /alpine-3.12/armv7/
ERROR: Could not find a version that satisfies the requirement pywizlight==0.3.2 (from versions: none)
ERROR: No matching distribution found for pywizlight==0.3.2
2021-02-09 13:32:34 ERROR (MainThread) [homeassistant.config] Platform error: light - Requirements for wiz_light not found: ['pywizlight==0.3.2'].
2021-02-09 13:33:01 WARNING (MainThread) [homeassistant.bootstrap] Waiting on integrations to complete setup: cloud
2021-02-09 13:33:01 WARNING (SyncWorker_2) [homeassistant.components.dte_energy_bridge.sensor] Could not update status for DTE Energy Bridge (dte_energy_br)
2021-02-09 13:33:01 WARNING (MainThread) [homeassistant.components.webhook] Received message for unregistered webhook 27899e10198bd24ed1d39b3546fdd5ad9d9fbacbd46205608b4a1fac5dc002c1 from 192.168.1.225
2021-02-09 13:33:05 ERROR (MainThread) [homeassistant.setup] Setup of cloud is taking longer than 300 seconds. Startup will proceed without waiting any longer
2021-02-09 13:33:31 WARNING (SyncWorker_3) [homeassistant.components.dte_energy_bridge.sensor] Could not update status for DTE Energy Bridge (dte_energy_br)
2021-02-09 13:33:39 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 13:34:01 WARNING (SyncWorker_6) [homeassistant.components.dte_energy_bridge.sensor] Could not update status for DTE Energy Bridge (dte_energy_br)
2021-02-09 13:34:21 ERROR (SyncWorker_0) [homeassistant.util.package] Unable to install package hubitatmaker>=0.3.15,<0.4.0: WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4c595b0>: Failed to establish a new connection: [Errno -3] Try again')': /simple/hubitatmaker/
WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4c59c70>: Failed to establish a new connection: [Errno -3] Try again')': /simple/hubitatmaker/
WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4c597c0>: Failed to establish a new connection: [Errno -3] Try again')': /simple/hubitatmaker/
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4c59868>: Failed to establish a new connection: [Errno -3] Try again')': /simple/hubitatmaker/
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4c59a60>: Failed to establish a new connection: [Errno -3] Try again')': /simple/hubitatmaker/
WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4c59388>: Failed to establish a new connection: [Errno -3] Try again')': /alpine-3.12/armv7/
WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4c597a8>: Failed to establish a new connection: [Errno -3] Try again')': /alpine-3.12/armv7/
WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4c59088>: Failed to establish a new connection: [Errno -3] Try again')': /alpine-3.12/armv7/
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4c59e38>: Failed to establish a new connection: [Errno -3] Try again')': /alpine-3.12/armv7/
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.HTTPSConnection object at 0xb4c59220>: Failed to establish a new connection: [Errno -3] Try again')': /alpine-3.12/armv7/
ERROR: Could not find a version that satisfies the requirement hubitatmaker<0.4.0,>=0.3.15 (from versions: none)
ERROR: No matching distribution found for hubitatmaker<0.4.0,>=0.3.15
2021-02-09 13:34:21 ERROR (MainThread) [homeassistant.setup] Setup failed for hubitat: Requirements for hubitat not found: ['hubitatmaker>=0.3.15,<0.4.0'].
2021-02-09 13:34:25 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of default_config. Setup failed for dependencies: cloud
2021-02-09 13:34:25 ERROR (MainThread) [homeassistant.setup] Setup failed for default_config: Could not set up all dependencies.
2021-02-09 13:34:26 ERROR (MainThread) [homeassistant.components.ipp] Error fetching ipp data: Invalid response from API: Error occurred while communicating with IPP server.
2021-02-09 13:34:33 ERROR (MainThread) [homeassistant.components.updater] Error requesting Home Assistant update data: Cannot connect to host updater.home-assistant.io:443 ssl:default [Try again]
2021-02-09 13:35:30 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 13:36:00 WARNING (MainThread) [homeassistant.bootstrap] Setup timed out for stage 2 - moving forward
2021-02-09 13:37:01 WARNING (MainThread) [homeassistant.helpers.service] Unable to find referenced entities switch.valve_2
2021-02-09 13:38:33 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 13:40:01 WARNING (MainThread) [homeassistant.helpers.service] Unable to find referenced entities switch.valve_2
2021-02-09 13:41:00 WARNING (MainThread) [homeassistant.bootstrap] Setup timed out for bootstrap - moving forward
2021-02-09 13:41:02 ERROR (SyncWorker_6) [homeassistant.components.zeroconf] The property 'external_url' was suppressed because it is longer than the maximum length of 230 bytes: https://3tvn7dnmlu1b49zcc5cbymnuwny3aghv.ui.nabu.casa/auth/authorize?response_type=code&redirect_uri=https://3tvn7dnmlu1b49zcc5cbymnuwny3aghv.ui.nabu.casa/?auth_callback%3D1&client_id=https://3tvn7dnmlu1b49zcc5cbymnuwny3aghv.ui.nabu.casa/&state=eyJoYXNzVXJsIjoiaHR0cHM6Ly8zdHZuN2RubWx1MWI0OXpjYzVjYnltbnV3bnkzYWdodi51aS5uYWJ1LmNhc2EiLCJjbGllbnRJZCI6Imh0dHBzOi8vM3R2bjdkbm1sdTFiNDl6Y2M1Y2J5bW51d255M2FnaHYudWkubmFidS5jYXNhLyJ9
2021-02-09 13:41:02 ERROR (SyncWorker_6) [homeassistant.components.zeroconf] The property 'base_url' was suppressed because it is longer than the maximum length of 230 bytes: https://3tvn7dnmlu1b49zcc5cbymnuwny3aghv.ui.nabu.casa/auth/authorize?response_type=code&redirect_uri=https://3tvn7dnmlu1b49zcc5cbymnuwny3aghv.ui.nabu.casa/?auth_callback%3D1&client_id=https://3tvn7dnmlu1b49zcc5cbymnuwny3aghv.ui.nabu.casa/&state=eyJoYXNzVXJsIjoiaHR0cHM6Ly8zdHZuN2RubWx1MWI0OXpjYzVjYnltbnV3bnkzYWdodi51aS5uYWJ1LmNhc2EiLCJjbGllbnRJZCI6Imh0dHBzOi8vM3R2bjdkbm1sdTFiNDl6Y2M1Y2J5bW51d255M2FnaHYudWkubmFidS5jYXNhLyJ9
2021-02-09 13:41:04 ERROR (Recorder) [homeassistant] Error doing job: Unclosed connection
2021-02-09 13:43:01 WARNING (MainThread) [homeassistant.helpers.service] Unable to find referenced entities switch.valve_2
2021-02-09 13:43:36 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 13:53:08 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 14:02:22 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 14:11:57 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:
2021-02-09 14:21:09 WARNING (MainThread) [hass_nabucasa.iot] Cannot connect because unable to refresh token:

That being said, I will try to downgrade SW, as I really need a solution ASAP (my garage might freeze… with water pipes :wink: )

Interesting outcome - I downgraded to OS 5.10, Core 2021.1.5 (which I am pretty sure worked ok before), and supervisor to 2021.01.1 (which upgraded to “latest” 2021.02.6 by itself afterwards) and it is still bonkers. What is surprising is that I have few “virtual” thermostats hooked up to the ESPHome based valves, and hubitat based sensors (gives temps) - which dont work now, but, I have one thermostat which uses ESPHome sensor - which works, I see temperature in a room, but thermostat does not react to the set value at all - it shows “Idle” no matter what. As a matter of fact all of them do, even when they “think” that room temperature is equal to 0. Meanwhile ESPHome based valve controller acts like HA is dead and have all valves open (safety feature), while it should close all of them (given “Idle” state of thermostats).
I tried to reinstall hubitat integration, but option “delete” does not work at all!

I will try redo entire install from scratch - backup sd card, format, scan for errors and put fresh install… Wish me luck.

Seems like fresh install + backup recovery did a trick. Weird. Again - tried different SW revisions before, latest, then downgrade, then upgrade to beta channel… Nothing worked, but reflash SD card.